POST /digitalResource/format
Ajout d'un format dans la liste de formats. Attention : le puid du format doit être référencé dans le registre PRONOM.
| Nom de l'en-tête | Type | Description |
|---|---|---|
| Accept | string | application/json |
| Content-Type | string | application/json |
| Nom du cookie | Type | Description |
|---|---|---|
| LAABS-AUTH | string | Jeton de connexion à l'application URL encodé Génération d'un jeton |
| Nom de la propriété | Type | Description |
|---|---|---|
| Néant |
| Nom de la propriété | Type | Description |
|---|---|---|
| format | object | format |
Requête
POST http://maarchrm/digitalResource/format
Headers
Accept application/json
Content-Type application/json
Cookie LAABS-AUTH=phdF9WkJuTKkDuPXoqDZuOjLMAFGC6ZrzrSEEqC9YjJVrIcaAPjnXkDCKOVJjHWKpHsrbtndX0NvBjizRLl%2FlohNbcVmtwEYc00did2AliyDdDkzdKDaRg%3D%3D
Body
{
"puid": "fmt/480",
"name": "Acrobat PDF/A - Portable Document Format",
"version": "3b",
"mimetypes": [
"application/pdf"
],
"extensions": [
"pdf"
],
"status": 2
}
Le service web retourne le résultat de l'opération (true, en cas de succès).
Code HTTP 200